using Godot;
using System;

public partial class PlayZone : Node2D
{
	[Export] public Node2D TopLeftCorner;
	[Export] public Node2D BottomRightCorner;

	public Rect2I Bounds = new Rect2I(0, 0, 0, 0);

	public override void _Ready()
	{
		var size = BottomRightCorner.Position - TopLeftCorner.Position;
		Bounds = new Rect2I((int)TopLeftCorner.Position.X, (int)TopLeftCorner.Position.Y, (int)size.X, (int)size.Y);
	}
}
